Get VERSIONED_PARTY revision history

Retrieves revision history of the VERSIONED_PARTY identified by versioned_object_uid.

Path Parameters
  • versioned_object_uid
    Type: stringFormat: uuid
    required

    VERSIONED_PARTY identifier taken from VERSIONED_PARTY.uid.value.

Responses
  • application/json
  • 404

    404 Not Found is returned when, based on the request parameters, the server did not find a current representation of a target resource, or is not willing to disclose that one exists.

Request Example for get/demographic/versioned_party/{versioned_object_uid}/revision_history
curl https://cataniamc.prod.cadasto.com/v1/demographic/versioned_party/123e4567-e89b-12d3-a456-426614174000/revision_history
{
  "items": [
    {
      "version_id": {
        "_type": "OBJECT_VERSION_ID",
        "value": "string"
      },
      "audits": [
        {
          "_type": "AUDIT_DETAILS",
          "system_id": "string",
          "time_committed": {
            "_type": "DV_DATE_TIME",
            "normal_status": {
              "terminology_id": {
                "_type": "TERMINOLOGY_ID",
                "value": "string"
              },
              "code_string": "string",
              "preferred_term": "string"
            },
            "normal_range": {
              "_type": "DV_INTERVAL",
              "lower_unbounded": true,
              "upper_unbounded": true,
              "lower_included": true,
              "upper_included": true
            },
            "other_reference_ranges": [
              {
                "meaning": {},
                "range": {
                  "_type": "DV_INTERVAL",
                  "lower_unbounded": true,
                  "upper_unbounded": true,
                  "lower_included": true,
                  "upper_included": true
                }
              }
            ],
            "magnitude_status": "=",
            "accuracy": {
              "_type": "DV_DURATION",
              "normal_status": {
                "terminology_id": {
                  "_type": "TERMINOLOGY_ID",
                  "value": "string"
                },
                "code_string": "string",
                "preferred_term": "string"
              },
              "normal_range": {
                "_type": "DV_INTERVAL",
                "lower_unbounded": true,
                "upper_unbounded": true,
                "lower_included": true,
                "upper_included": true
              },
              "other_reference_ranges": [
                {
                  "meaning": {},
                  "range": {
                    "_type": "DV_INTERVAL",
                    "lower_unbounded": true,
                    "upper_unbounded": true,
                    "lower_included": true,
                    "upper_included": true
                  }
                }
              ],
              "magnitude_status": "=",
              "accuracy_is_percent": true,
              "accuracy": 1
            },
            "value": "2026-04-10T11:03:51.528Z"
          },
          "change_type": {
            "_type": "DV_CODED_TEXT",
            "value": "string",
            "hyperlink": {},
            "formatting": "string",
            "mappings": [
              {
                "match": "string",
                "purpose": {
                  "value": "string",
                  "defining_code": {
                    "terminology_id": {
                      "_type": "[Max Depth Exceeded]",
                      "value": "[Max Depth Exceeded]"
                    },
                    "code_string": "string",
                    "preferred_term": "string"
                  }
                },
                "target": {
                  "terminology_id": {
                    "_type": "TERMINOLOGY_ID",
                    "value": "string"
                  },
                  "code_string": "string",
                  "preferred_term": "string"
                }
              }
            ],
            "language": {
              "terminology_id": {
                "_type": "TERMINOLOGY_ID",
                "value": "string"
              },
              "code_string": "string",
              "preferred_term": "string"
            },
            "encoding": {
              "terminology_id": {
                "_type": "TERMINOLOGY_ID",
                "value": "string"
              },
              "code_string": "string",
              "preferred_term": "string"
            },
            "defining_code": {
              "terminology_id": {
                "_type": "TERMINOLOGY_ID",
                "value": "string"
              },
              "code_string": "string",
              "preferred_term": "string"
            }
          },
          "description": {},
          "committer": {}
        }
      ]
    }
  ]
}